FROM golang:alpine AS builder

WORKDIR /app

COPY go.mod ./
COPY *.go ./

RUN go build -o server .

FROM alpine:latest

WORKDIR /app

COPY --from=builder /app/server .
COPY static/ static/
COPY templates/ templates/

EXPOSE 8080

CMD ["./server"]
